PBCP API
Send business events into the platform, then read customer context or stories back.
Base URL: https://pbcp-api.pcampus.co
How to connect
Authorization: Bearer pip_YOUR_API_KEY
x-tenant-id: your-tenant-id
Content-Type: application/jsonExample — send an event
curl https://pbcp-api.pcampus.co/events \
-H "Authorization: Bearer pip_YOUR_API_KEY" \
-H "x-tenant-id: your-tenant-id" \
-H "Content-Type: application/json" \
-d '{
"schemaVersion": "1.0",
"tenantId": "your-tenant-id",
"eventId": "550e8400-e29b-41d4-a716-446655440000",
"eventName": "order.created",
"occurredAt": "2026-07-15T10:00:00.000Z",
"actor": { "type": "user", "id": "user-001" },
"source": { "system": "your-app", "channel": "web" },
"payload": { "orderId": "ORD-1001" }
}'Sample response
{
"eventId": "550e8400-e29b-41d4-a716-446655440000",
"status": "accepted"
}More examples
| Page | When to use |
|---|---|
| Event API | Send events from your system |
| Example events | Sample event names |
| Context API | Read the latest customer state |
| Story API | Read a composed story |
| Intelligence API | Read a sample recommendation |